<%@page import="java.util.Map"%>
<%@page import="java.util.HashMap"%>
<%@page import="java.util.List"%>
<%@page import="java.util.ArrayList"%>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.io.IOException" %>
<%@ page import="org.slf4j.Logger" %>
<%@ page import="org.slf4j.LoggerFactory" %>
<%@ page import="com.openkm.bean.Document" %>
<%@ page import="com.openkm.util.WebUtils" %>
<%@ page import="com.openkm.api.OKMDocument" %>
<%@ page extends="com.openkm.extension.servlet.BaseServlet" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%!

    private static Logger log = LoggerFactory.getLogger("com.openkm.sample");
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException,
			ServletException {
		String action = WebUtils.getString(request, "action");		
		try {
			list(request, response);
		} catch (Exception e) {
			log.error(e.getMessage(), e);
			sendErrorRedirect(request, response, e);
		}
	}
	
	// Used by fileupload return and filter
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws IOException,
	ServletException {
		String action = WebUtils.getString(request, "action");
		try {
			list(request, response);
		} catch (Exception e) {
			log.error(e.getMessage(), e);
			sendErrorRedirect(request, response, e);
		}
	}
	
	private void list(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException, Exception {
		SimpleDateFormat df = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
		String docPath = (String) request.getAttribute("docPath");
		String nameFilter = WebUtils.getString(request,"nameFilter");
		// Pending docs
		List<Map<String,String>> pendingDocMaps = new ArrayList<Map<String,String>>();
		for ( Document doc : OKMDocument.getInstance().getChildren(null, "/okm:root")) {
			Map<String,String> docMap = new HashMap<String,String>();
			docMap.put("name",doc.getPath().substring(doc.getPath().lastIndexOf("/")+1));
			docMap.put("uuid",doc.getUuid());
			docMap.put("path",doc.getPath());
			docMap.put("mimeType",doc.getMimeType());
			docMap.put("lastModified", df.format(doc.getLastModified().getTime()));
			pendingDocMaps.add(docMap);
		}
		ServletContext sc = getServletContext();
		sc.setAttribute("docPath",docPath);
		sc.setAttribute("nameFilter",nameFilter);
		sc.setAttribute("pendingDocuments",pendingDocMaps);
		sc.getRequestDispatcher("/sample/sample2/distributor.jsp").forward(request, response);
	}%>