<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<script type="text/javascript">
	// Note the parent.parent call because iframe is into other iframe
package com.openkm;

import com.openkm.api.OKMDashboard;
import com.openkm.bean.DashboardDocumentResult;
    function go(uuid) {
	alert('Document UUID:'+uuid);
	parent.parent.jsOpenPathByUuid(uuid);
    }
</script>
<h1>Filtered list</h1>
<div align="right" style="padding: 4px 0px 4px 0px;">
<form method="post" action="<%=request.getContextPath() %>/sample/sample1/action.jsp">
	Author: <select name="userFilter">
			<option value=""></option>
			<c:forEach var="user" items="${users}" varStatus="row">
				<option value="${user}" <c:if test="${user==userFilter}">selected</c:if>> ${user}</option>
			</c:forEach>
		   </select>
	Document name: <input type="text" name="nameFilter" value="${nameFilter}">
	<input type="hidden" name="action" value="filter">
	<input type="submit" value="Filter">
</form>
</div>
<table class="results" style="white-space: nowrap;" cellpadding="3" width="100%">
    <thead>
      <tr>
        <th></th><th>Author</th><th>Document</th><th>Date</th><th></th>
      </tr>
    </thead>
    <tbody>
	<c:forEach var="document" items="${rightDocsMaps}" varStatus="row">
	<tr>
		<td valign="center"><img src="<%=request.getContextPath() %>/mime/${document.mimeType}"/></td>
		<td>${document.author}</td>
		<td>${document.name}</td>
		<td>${document.lastModified}</td>
		<td align="center"><a href="javascript:go('${document.uuid}')"><img src="<%=request.getContextPath() %>/sample/img/action/goto_document.gif" alt="Show document" title="Show document"/></a></td>
	</tr>
	</c:forEach>
    </tbody>
</table>
