<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<script type="text/javascript">
	// Note the parent.parent call because iframe is into other iframe
    function go(uuid) {
        alert('Document UUID:'+uuid);
    	parent.parent.jsOpenPathByUuid(uuid);
    }
</script>
<h2 class="top">Full document list from /okm:root</h2>
<div align="center" style="padding: 0px 20px 0px 5px">
	<div class="tablescroll">
		<table id="docsPendingTable" width="100%" cellspacing="0" style="white-space: nowrap;">
		    <thead>
		      <tr>
		        <td>Id</td><td>Document</td><td>Date</td><td></td>
		      </tr>
		    </thead>
		    <tbody>
		    	<c:set var="first" value="true"></c:set>
		    	<c:forEach var="document" items="${pendingDocuments}" varStatus="row">
		    		<c:choose>
			    	 	<c:when test="${first==true}">
			    	 		<tr class="first">
			    	 	</c:when>
			    	 	<c:otherwise>
			    	 		<tr>
			    	 	</c:otherwise>
			    	</c:choose>
		    			<td valign="center"><img src="<%=request.getContextPath() %>/mime/${document.mimeType}"/></td>
		    			<td>${document.name}</td>
		    			<td>${document.lastModified}</td>
		    			<td align="center"><a href="javascript:go('${document.uuid}')"><img src="<%=request.getContextPath() %>/sample/img/action/goto_document.gif" alt="Show document" title="Show document"/></a></td>
		    		</tr>
		    		<c:set var="first" value="false"></c:set>
		    	</c:forEach>
		    </tbody>
		</table>
	</div>
</div>

<script type="text/javascript">
//Calculating table height removing from total other elements height
var pendingTableHeight = $(window).height() - (parseInt($('#docsPendingTable').offset().top) + 35);
/*<![CDATA[*/
jQuery(document).ready(function($)
{
	$('#docsPendingTable').tableScroll({height:pendingTableHeight});
});
/*]]>*/
</script>