<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<h2>Not implemented !!!!</h2>
<div align="center" style="padding: 0px 20px 0px 5px">
	<div id="searchDiv" align="right" style="padding: 4px 0px 4px 0px;">
		<form name="filterForm" method="post" action="<%=request.getContextPath() %>/sample/sample2/action.jsp">
			Document name: <input type="text" name="nameFilter" id="nameFilter" value="">
			<input type="hidden" name="action" value="filter">
			<input type="submit" value="Filter">
			<input type="reset" value="Clean" onclick="this.form.reset();document.filterForm.submit();">
		</form>
	</div>
	<div class="tablescroll">
		<table id="docSignedTable" width="100%" cellspacing="0" style="white-space: nowrap;">
			<thead>
				<tr>
				  <td></td><td>Document</td><td>Date</td><td></td>
				</tr>
			</thead>
			<tbody>
				<c:set var="first" value="true"></c:set>
		    	<c:forEach var="document" items="${signedDocuments}" varStatus="row">
			    	<c:choose>
			    	 	<c:when test="${first==true}">
			    	 		<tr class="first">
			    	 	</c:when>
			    	 	<c:otherwise>
			    	 		<tr>
			    	 	</c:otherwise>
			    	</c:choose>
		    			<td valign="center"><img src="<%=request.getContextPath() %>/mime/${document.mimeType}"/></td>
		    			<td>${document.name}</td>
		    			<td>${document.lastModified}</td>
		    			<td align="center"><a href="javascript:go('${document.uuid}')"><img src="<%=request.getContextPath() %>/sample/img/action/goto_document.gif" alt="Show document" title="Show document"/></a></td>
		    		</tr>
		    		<c:set var="first" value="false"></c:set>
		    	</c:forEach>
		    </tbody>
		</table>
	</div>
</div>

<script type="text/javascript">
//Calculating table height removing from total other elements height
var signedTableHeight = $(window).height() - (parseInt($('#docSignedTable').offset().top) + 35);

/*<![CDATA[*/
	jQuery(document).ready(function($)
	{
		$('#docSignedTable').tableScroll({height:signedTableHeight});
	
	});
/*]]>*/

// Refreshing form values ( by this way clear button executes correctly )
document.getElementById('nameFilter').value='${nameFilter}';
</script>